#
# spec file for package python-pyRFC3339
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pyRFC3339
Version:        2.0.1
Release:        1.3
Summary:        Generate and parse RFC 3339 timestamps
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/kurtraschke/pyRFC3339
Source:         https://github.com/kurtraschke/pyRFC3339/archive/refs/tags/v%{version}.tar.gz#/pyRFC3339-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  timezone
Requires:       timezone
BuildArch:      noarch
%python_subpackages

%description
pyRFC3339 parses and generates :RFC:`3339`-compliant timestamps using Python `datetime.datetime` objects.

%prep
%setup -q -n pyRFC3339-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/pyrfc3339

%check
%pytest pyrfc3339/tests/

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Mon Nov 11 2024 Dirk Müller <dmueller@suse.com>
- update to 2.0.1:
  * Migrate tests from nose to unittest and pytest
  * Replace :mod:`pytz` dependency with
    :attr:`datetime.timezone.utc` and :mod:`zoneinfo`
  * Reformat codebase with black and isort
  * Configure GitHub Actions; remove Travis CI configuration file
- drop switch-to-pytest.patch (upstream)
* Sun Jun 11 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Sep 20 2021 Steve Kowalik <steven.kowalik@suse.com>
- Add switch-to-pytest.patch
  * Use assert and pytest rather than nose.
* Thu Jun  3 2021 pgajdos@suse.com
- use github tarball with tests
- %%check: use %%pytest rpm macro
* Tue Aug 28 2018 tchvatal@suse.com
- Version update to 1.1:
  * packaging cleanup mostly
  * Add :meth:`.utils.FixedOffset.__deepcopy__()` method, to prevent crash on deepcopy (:issue:`8`)
* Wed Sep 20 2017 ecsos@opensuse.org
- Convert to singlespec
* Thu Dec 17 2015 jweberhofer@weberhofer.at
- Reviewed and reformatted spec
* Wed Nov 11 2015 t.gruner@katodev.de
- Update to version 1.0
* Thu Aug 13 2015 ecsos@schirra.net
- insert url in spec
* Thu Jun 11 2015 t.gruner@katodev.de
- Initial Release 0.2
